Subject: Re: b19 bash/sh ^M input problem with NTEmacs 19.34.6
From: [email-masked] (Guy Gascoigne - Piggford)

6 Mar 1998 01:58:33 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
To: Andy Norman <[email-masked]>, [email-masked]

At 03:35 PM 2/27/98 +0000, Andy Norman wrote:
>I apologise in advance if this is a FAQ.  I couldn't find it in the web
>version of the mail archives (which only go up to December 1997, btw).

Well if it isn't a FAQ now, it soon will be.  The same thing happened with
coolview.  Instead of running M-x shell add this to your .emacs file:

(defun bash ()
  (interactive)
  (let ((binary-process-input t)
        (binary-process-ouput nil))
    (shell)))

and then run M-x bash

There is probably a tidier way to do this, but I'm not enough of a lisp
hacker to ort it out.

BTW the answer originally came from this list a while ago, so kudos to the
original author, he helped me immensly.

-- 
Guy Gascoigne - Piggford ([email-masked])
Software Engineer, Informix Software, Inc. (Portland, Oregon)

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".